$(document).ready(function(){
    if(specInfo!=""){
        var specArray=specInfo.split(';');
        specArray=$.uniqueArray(specArray);//去除重复的规格项
        $.each(specArray,function(i,n){
            $('input[name^="cp_"][value="'+n+'"]').attr("checked",true);
        });
        InitSellTable();
    };
    $("input[name^='cp_']").change(function(){
        InitSellTable();
    });
});
function InitSellTable()
{
    var spec1Obj=$('.spec1:checked');
    var spec2Obj=$('.spec2:checked');
    if(spec1Obj.length>0 && spec2Obj.length>0){
        $('#J_sell-table').show();
    }else{
        $('#J_sell-table').hide();
    };
    var tbody=$('#sell-body');
    tbody.empty();
    var specname1 = $('#spec1').val();
    var specname2 = $('#spec2').val();
    var mprice = $('#txtMemberPrice').val();
    for(var i=0;i<spec1Obj.length;i++){
        for(var j=0;j<spec2Obj.length;j++){
            var spec1Value=spec1Obj.eq(i).val();//主规格的值
            var spec1Name=spec1Obj.eq(i).next().text();//主规格的名称
            var spec1Names=specname1+':'+spec1Obj.eq(i).next().text();//主规格的名称
            var spec2Value=spec2Obj.eq(j).val();//次规格的值
            var spec2Name=spec2Obj.eq(j).next().text();//次规格的名称
            var spec2Names=specname2+':'+spec2Obj.eq(j).next().text();//次规格的名称
            var skuObj=skuMap[spec1Value+";"+spec2Value];
            var id= skuObj ? skuObj["skuId"] : "";//商品ID
            var price=skuObj ? skuObj["price"] : mprice;//价格
            var stock=skuObj ? skuObj["stock"] : "10";//库存
            var code=skuObj ? skuObj["code"] : "";//商家编码
            //alert(spec1Obj.eq(i).val()+';'+spec2Obj.eq(j).val());
            var trObj=$('<tr data-value="'+spec1Value+'_'+spec2Value+'" class=""></tr>');
            var tdObj1=$('<td data-sku="'+spec1Value+'"><span class="tb-color-lump c-5d762a" title="'+spec1Name+'">'+spec1Name+'</span></td>');
            var tdObj2=$('<td data-sku="'+spec2Value+'">'+spec2Name+'</td>');
            var tdObj3=$('<td><input type="hidden" value="'+id+'" name="id"><input type="hidden" value="'+spec1Value+';'+spec2Value+'" name="props"><input type="hidden" value="'+spec1Names+';'+spec2Names+'" name="propsdesc"><input type="hidden" value="'+spec1Name+' '+spec2Name+'" name="propsname"><input type="text" value="'+price+'" class="text align-right K-sale" id="sale_p_1" name="price"> 元</td>');
            var tdObj4=$('<td><input type="text" value="'+stock+'" onkeyup="CheckNumber(this)" onblur="CalQ()" class="text align-right J-sale" id="sale_q_1" name="stock"> 件</td>');
            var tdObj5=$('<td><input type="text" maxlength="30" value="'+code+'" class="text text-code" name="code"></td>');
            trObj.append(tdObj1).append(tdObj2).append(tdObj3).append(tdObj4).append(tdObj5).appendTo(tbody);
        }
    }
    CalQ();
};
function CalQ()
{
    var cStock=new Number(0);
    $('input[name=stock]').each(function(){
        if($(this).val()=='')
        {
            $(this).val(0);
        };
        cStock += Number($(this).val());
    });
    $('#txtStorage').val(cStock);
};
function CheckNumber(obj)
{
    obj.value=obj.value.replace(/\D/g,"");   //替换非数字
};
//去除数组的重复项
jQuery.extend({    
    uniqueArray:function(a) {    
        var r=[];    
        for (var i=0,l=a.length; i<l; ++i)jQuery.inArray(a[i],r)<0&&r.push(a[i]);    
        return r;    
   }    
});